• twitter image
  • facebook image
  • youtube image
  • linkedin image
Language: CMS Made Simple Czech CMS Made Simple France CMS Made Simple Spain CMS Made Simple Hungary CMS Made Simple Russia CMS Made Simple Netherlands

All times are UTC




Post new topic Reply to topic  [ 11 posts ] 
Author Message
 Post subject: Upgrade issue: 1.12.1 to 2.2.2
PostPosted: Wed Jul 12, 2017 3:41 pm 
Offline
New Member
New Member

Joined: Fri Jul 07, 2017 4:19 pm
Posts: 9
I recently upgraded from 1.12.1 to 2.2.2 and followed the instructions carefully. After upgrading, breadcrumbs don't appear to work; getting the error:

WARNING:
The {breadcrumbs} tag is removed from CMSMS Core
Instead, now use in your HTML template: {nav_breadcrumbs} !

After looking into the templates via the cmsms admin console, I didn't find any instances of {breadcrumbs} to replace. Any ideas on how to fix this?


Top
  Profile  
 
Share On:
Share on Facebook Share on Twitter Share on Google+
 Post subject: Re: Upgrade issue: 1.12.1 to 2.2.2
PostPosted: Wed Jul 12, 2017 5:28 pm 
Offline
Forum Members
Forum Members
User avatar

Joined: Fri Feb 06, 2009 2:08 pm
Posts: 132
Hi Mitch923
Mitch923 wrote:
After looking into the templates via the cmsms admin console, I didn't find any instances of {breadcrumbs} to replace.

It must be lurking somewhere; try Extensions -> Admin Search | "bread".


Top
  Profile  
 
Share On:
Share on Facebook Share on Twitter Share on Google+
 Post subject: Re: Upgrade issue: 1.12.1 to 2.2.2
PostPosted: Wed Jul 12, 2017 6:11 pm 
Offline
New Member
New Member

Joined: Fri Jul 07, 2017 4:19 pm
Posts: 9
Thanks for the quick response. Still nothing though. The only results that come up are for instances like "div class=breadcrumbs", but those aren't the ones that need to be changed right?


Top
  Profile  
 
Share On:
Share on Facebook Share on Twitter Share on Google+
 Post subject: Re: Upgrade issue: 1.12.1 to 2.2.2
PostPosted: Wed Jul 12, 2017 10:14 pm 
Offline
Forum Members
Forum Members
User avatar

Joined: Fri Feb 06, 2009 2:08 pm
Posts: 132
Mitch923 wrote:
"div class=breadcrumbs", but those aren't the ones that need to be changed right?

Yes, that's just css. There should be a "{breadcrumbs}" call in a page or template. Find a page that shows the warning and double check the content and its template (listed at 'Content Manager > [page] > Options') and anything else it {calls} - maybe a navigation template.


Top
  Profile  
 
Share On:
Share on Facebook Share on Twitter Share on Google+
 Post subject: Re: Upgrade issue: 1.12.1 to 2.2.2
PostPosted: Thu Jul 13, 2017 2:08 pm 
Offline
Dev Team Member
Dev Team Member

Joined: Mon Nov 28, 2011 9:29 am
Posts: 2877
Location: The Netherlands
If you can: make a dump of your database (to .sql file) and just search for {breadcrumbs} using a text editor.

This might give you hints where the tag is used.

BTW I'd expect that the location of the warning (in the html source of front end I assume) should also give a hint where the tag is used.


Top
  Profile  
 
Share On:
Share on Facebook Share on Twitter Share on Google+
 Post subject: Re: Upgrade issue: 1.12.1 to 2.2.2 [solved]
PostPosted: Fri Jul 14, 2017 5:53 pm 
Offline
New Member
New Member

Joined: Fri Jul 07, 2017 4:19 pm
Posts: 9
Navigator didn't install properly because of two templates in the database that carried over. Once I removed them, I installed Navigator and everything appears to be working. Looks like this one's solved.


Top
  Profile  
 
Share On:
Share on Facebook Share on Twitter Share on Google+
 Post subject: Re: Upgrade issue: 1.12.1 to 2.2.2
PostPosted: Thu Jul 27, 2017 1:48 pm 
Offline
Power Poster
Power Poster

Joined: Wed Jan 25, 2006 11:53 am
Posts: 349
Location: Netherlands
Kow did you discover with templates cause the problem. I also upgraded 1.12.2 tot 2.2.2 and it was a complete dissaster. Even de admin console had some problems. I followed the manual but no luck.


Top
  Profile  
 
Share On:
Share on Facebook Share on Twitter Share on Google+
 Post subject: Re: Upgrade issue: 1.12.1 to 2.2.2
PostPosted: Wed Aug 23, 2017 5:35 am 
Offline
Forum Members
Forum Members

Joined: Thu Oct 13, 2016 7:42 am
Posts: 11
Same here...went from 1.12.1 to 2.2.2 and I can't find the template that's causing this problem and my search does not pull up any {breadcrumbs} instances...

No reference to {breadcrumbs} in my sql either

Thanks for any ideas!



Also, how did you reload the Navigator module? I can't find it on the downloads page.
Thanks


Top
  Profile  
 
Share On:
Share on Facebook Share on Twitter Share on Google+
 Post subject: Re: Upgrade issue: 1.12.1 to 2.2.2
PostPosted: Wed Aug 23, 2017 12:37 pm 
Offline
Forum Members
Forum Members
User avatar

Joined: Fri Feb 06, 2009 2:08 pm
Posts: 132
euromade wrote:
my search does not pull up any {breadcrumbs} instances...
No reference to {breadcrumbs} in my sql either

It might help if you said where you're seeing the warning (logs, front-end page, admin-only, etc).

I'm wondering if it's being triggered by a deprecated 'menu' call like {menu action='breadcrumbs'} a.k.a. {cms_breadcrumbs}. Searching on "bread" should point the way ... but now I'm wondering if admin and sql searches will see templates that you've exported (to assets/templates/easy-to-edit-template.tlp).

euromade wrote:
Also, how did you reload the Navigator module?

For core functionality I expect the recommended route is to use the installer -- which is designed to upgrade and/or repair but maybe something more drastic occurred in this case.


Top
  Profile  
 
Share On:
Share on Facebook Share on Twitter Share on Google+
 Post subject: Re: Upgrade issue: 1.12.1 to 2.2.2
PostPosted: Wed Aug 23, 2017 2:51 pm 
Offline
Forum Members
Forum Members

Joined: Thu Oct 13, 2016 7:42 am
Posts: 11
The breadcrumb error shows up on the home page - front end (Upper left corner).

In my case when everything worked, I had a list of pages, with submenus that would "expand" when clicked on. Now, all my subpages are listed by default making the home page very long and "busy".



Thanks...


Top
  Profile  
 
Share On:
Share on Facebook Share on Twitter Share on Google+
 Post subject: Re: Upgrade issue: 1.12.1 to 2.2.2
PostPosted: Wed Aug 23, 2017 3:09 pm 
Offline
Forum Members
Forum Members
User avatar

Joined: Fri Feb 06, 2009 2:08 pm
Posts: 132
euromade wrote:
The breadcrumb error shows up on the home page

Can you post the full contents of the template the Home page is using?

Next, we'll probably be asking to see the templates invoked by {menu} or {Navigator} calls -- this will be the 'default' type unless you've defined something with the 'template' parameter: template='template_name'.


Top
  Profile  
 
Share On:
Share on Facebook Share on Twitter Share on Google+
Display posts from previous:  Sort by  
Post new topic Reply to topic  [ 11 posts ] 

All times are UTC


Who is online

Users browsing this forum: No registered users


You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot post attachments in this forum

Search for:
Jump to:  
A2 Hosting